
#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform float u_time;
uniform float alpha;

void main() {
    vec2 uv = v_texCoords;

    float X = uv.x * 15.+ u_time;
    float Y = uv.y * 15.+ u_time;
    uv.y += cos(X + Y) * 0.02 * cos(Y);
    uv.x += sin(X - Y) * 0.02 * sin(Y);

    gl_FragColor = texture2D(u_texture, uv);
    gl_FragColor.a -= alpha;
}
